Bug 125574 - [patch] port devel/cvs2svn make GIT optional
Summary: [patch] port devel/cvs2svn make GIT optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-13 17:20 UTC by Olli Hauer
Modified: 2008-07-31 17:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.15 KB, patch)
2008-07-13 17:20 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2008-07-13 17:20:03 UTC
There is no need for GIT if someone will convert CVS to SVN, so make this optional.

This is a new patch for the actual cvs2svn version.
A privios PR http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/122471 was closed with comment patch is included in another commit but never happend.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-07-13 17:20:21 UTC
Maintainer of devel/cvs2svn,

Please note that PR ports/125574 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125574

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-07-13 17:20:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 pgollucci 2008-07-14 19:11:54 UTC
I was thinking of doing this myself; but didn't want to start a flame war.

I don't see a pkg-plist update, does it not change.

I'll get to this tomorrowish.


-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 4 Philip M. Gollucci freebsd_committer 2008-07-30 23:18:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 5 Philip M. Gollucci freebsd_committer 2008-07-31 05:47:43 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 dfilter service freebsd_committer 2008-07-31 17:17:59 UTC
pgollucci    2008-07-31 16:17:51 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvs2svn        Makefile 
  Log:
  - Optionally depend on git/svn
  - Add OPTIONS
  - Bump PORTREVISION
  
  PR:             ports/125574
  Submitted by:   Olli Hauer <ohauer@gmx.de>
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.22      +20 -5     ports/devel/cvs2svn/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2008-07-31 17:23:01 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!